# Gimp.Config.prototype.deserialize_property

    function deserialize_property(scanner: GLib.Scanner, nest_level: Number(gint)): GLib.TokenType {
        // Gjs wrapper for gimp_config_deserialize_property()
    }

This function deserializes a single property of config. You shouldn't need to call this function directly. If possible, use Gimp.Config.prototype.deserialize_properties instead.

Since 2.4

scanner

  a GLib.Scanner.

nest_level

  the nest level

Returns

  %G_TOKEN_RIGHT_PAREN on success, otherwise the expected GLib.TokenType or %G_TOKEN_NONE if the expected token was found but couldn't be parsed.